/***********************************************************************************
* Run Command: Plasmoid to run commands without terminal.
* Copyright (C) 2008 - 2009 Michal Dutkiewicz aka Emdek <emdeck@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*
***********************************************************************************/

#ifndef RUNCOMMAND_HEADER
#define RUNCOMMAND_HEADER

#include <QGraphicsProxyWidget>
#include <QDateTime>

#include <Plasma/Applet>

#include <KHistoryComboBox>

class RunCommand : public Plasma::Applet
{
    Q_OBJECT

    public:
        RunCommand(QObject *parent, const QVariantList &args);

        void init();
        void constraintsEvent(Plasma::Constraints);

    public slots:
        void activated();
        void clearHistory();
        void getCommand();
        void runCommand(QString command);
        void textChanged(QString text);

    private:
        QGraphicsProxyWidget *m_comboBox;
        QDateTime m_lastRun;
};

#endif
